package com.ningdatech.pmapi.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 续建项目资金申请表
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
@TableName("nd_project_renewal_fund_declaration")
@ApiModel(value = "NdProjectRenewalFundDeclaration对象", description = "续建项目资金申请表")
public class ProjectRenewalFundDeclaration implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("关联项目ID")
    private Long projectId;

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @ApiModelProperty("年度支付金额")
    private BigDecimal annualPaymentAmount;

    @ApiModelProperty("自有资金")
    private BigDecimal haveAmount;

    @ApiModelProperty("政府投资 本级财务金额")
    private BigDecimal govOwnFinanceAmount;

    @ApiModelProperty("政府投资 上级财务金额")
    private BigDecimal govSuperiorFinanceAmount;

    @ApiModelProperty("银行贷款金额")
    private BigDecimal bankLendingAmount;

    @ApiModelProperty("其它金额")
    private BigDecimal otherAmount;

    @ApiModelProperty("审核状态 待审核PENGING 审核通过PASS 审核不通过NO_PASS")
    private String approvalStatus;

    @ApiModelProperty("是否删除 false未删 true已删")
    private Boolean deleted;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public LocalDateTime getCreateOn() {
        return createOn;
    }

    public void setCreateOn(LocalDateTime createOn) {
        this.createOn = createOn;
    }
    public LocalDateTime getUpdateOn() {
        return updateOn;
    }

    public void setUpdateOn(LocalDateTime updateOn) {
        this.updateOn = updateOn;
    }
    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }
    public Integer getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(Integer projectYear) {
        this.projectYear = projectYear;
    }
    public BigDecimal getAnnualPaymentAmount() {
        return annualPaymentAmount;
    }

    public void setAnnualPaymentAmount(BigDecimal annualPaymentAmount) {
        this.annualPaymentAmount = annualPaymentAmount;
    }
    public BigDecimal getHaveAmount() {
        return haveAmount;
    }

    public void setHaveAmount(BigDecimal haveAmount) {
        this.haveAmount = haveAmount;
    }
    public BigDecimal getGovOwnFinanceAmount() {
        return govOwnFinanceAmount;
    }

    public void setGovOwnFinanceAmount(BigDecimal govOwnFinanceAmount) {
        this.govOwnFinanceAmount = govOwnFinanceAmount;
    }
    public BigDecimal getGovSuperiorFinanceAmount() {
        return govSuperiorFinanceAmount;
    }

    public void setGovSuperiorFinanceAmount(BigDecimal govSuperiorFinanceAmount) {
        this.govSuperiorFinanceAmount = govSuperiorFinanceAmount;
    }
    public BigDecimal getBankLendingAmount() {
        return bankLendingAmount;
    }

    public void setBankLendingAmount(BigDecimal bankLendingAmount) {
        this.bankLendingAmount = bankLendingAmount;
    }
    public BigDecimal getOtherAmount() {
        return otherAmount;
    }

    public void setOtherAmount(BigDecimal otherAmount) {
        this.otherAmount = otherAmount;
    }
    public String getApprovalStatus() {
        return approvalStatus;
    }

    public void setApprovalStatus(String approvalStatus) {
        this.approvalStatus = approvalStatus;
    }
    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        return "NdProjectRenewalFundDeclaration{" +
            "id=" + id +
            ", createOn=" + createOn +
            ", updateOn=" + updateOn +
            ", projectId=" + projectId +
            ", projectYear=" + projectYear +
            ", annualPaymentAmount=" + annualPaymentAmount +
            ", haveAmount=" + haveAmount +
            ", govOwnFinanceAmount=" + govOwnFinanceAmount +
            ", govSuperiorFinanceAmount=" + govSuperiorFinanceAmount +
            ", bankLendingAmount=" + bankLendingAmount +
            ", otherAmount=" + otherAmount +
            ", approvalStatus=" + approvalStatus +
            ", deleted=" + deleted +
        "}";
    }
}
